Del Merchant Metric Event
curl --request POST \
--url https://api.unibee.dev/merchant/metric/event/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalEventId": "<string>",
"metricCode": "<string>",
"email": "<string>",
"externalUserId": "<string>",
"userId": 123
}
'import requests
url = "https://api.unibee.dev/merchant/metric/event/delete"
payload = {
"externalEventId": "<string>",
"metricCode": "<string>",
"email": "<string>",
"externalUserId": "<string>",
"userId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalEventId: '<string>',
metricCode: '<string>',
email: '<string>',
externalUserId: '<string>',
userId: 123
})
};
fetch('https://api.unibee.dev/merchant/metric/event/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Metric Event
Del Merchant Metric Event
POST
/
merchant
/
metric
/
event
/
delete
Del Merchant Metric Event
Endpoint Overview
POSThttps://api.unibee.dev/merchant/metric/event/delete
Del Merchant Metric Event
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
email | string | No | Email, UserId,ExternalUserId, or Email provides one of three options |
externalEventId | string | Yes | ExternalEventId |
externalUserId | string | No | ExternalUserId, UserId, ExternalUserId, or Email provides one of three options |
metricCode | string | Yes | MetricCode |
userId | integer | No | UserId, UserId,ExternalUserId, or Email provides one of three options |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/metric/event/delete" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"externalEventId": "id_example",
"externalUserId": "id_example",
"metricCode": "",
"userId": 0
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/metric/event/delete" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"externalEventId": "id_example",
"externalUserId": "id_example",
"metricCode": "",
"userId": 0
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ExternalEventId
MetricCode
Email, UserId,ExternalUserId, or Email provides one of three options
ExternalUserId, UserId, ExternalUserId, or Email provides one of three options
UserId, UserId,ExternalUserId, or Email provides one of three options

